#
# The Mops, a free 3D Tcl/Tk/OpenGL/RenderMan modeler
#
# The Mops is copyrighted (C) 1998-2000 by Randolf Schultz
# (rschultz@informatik.uni-rostock.de)
#
# See the file License for details.
#
# addcollex.tcl [6.1.2000]
# 
# example script for The Mops, that adds collapse points and explode
# points buttons to the toolbox
#
# Usage:
# simply add the path to this script to prefs(scripts)
# > lappend prefs(scripts) "~/mops/src/addcollex.tcl"
# save preferences
# restart The Mops
#
set f [frame .tb.fmy]

set b1 [button .tb.fmy.b1 -command {.fu.fMenu.tool.m.nct invoke 14}\
-text "Coll."]

set b2 [button .tb.fmy.b2 -command {.fu.fMenu.tool.m.nct invoke 15}\
-text "Expl."]

pack $b1 $b2 -in $f -side left

balloon $b1 "collapse points"
balloon $b2 "explode points"

pack $f
