/*
 * Mops, a 3D Tcl/Tk/OpenGL/RenderMan modeller
 *
 * Mops is copyrighted (C) 1998 by Randolf Schultz
 * (rschultz@informatik.uni-rostock.de)
 *
 * See the file License for details.
 *
 */

/* ctc.c */
/* Convert TrimCurves from pre 0.42a2 scene-files */
/* Compile: cc -o ctc ctc.c */
/* Usage: ctc < oldfile > newfile */
#include <stdio.h>
void
main(int argc, char **argv)
{
  char readline[1024] = {0}; /* Oink? */
  int c;
  int index = 0;

  while(!feof(stdin))
    {
      index = 0;
      while((c = getc(stdin)) != '\n')
	{
	  if(c == EOF)
	    return;
	  readline[index++] = (char)c;
	}
      readline[index] = '\n';
      readline[index+1] = '\0';
      if(readline[0] == '\0')
      {
	if(!strcmp(&readline[1],"50\n"))
	  {	
	    putc('\0',stdout);
	    printf("3\n6\n");
	  }
	else if (!strcmp(&readline[1],"60\n"))
	  {
	    putc('\0',stdout);
	    printf("3\n10\n");
	  }
	else
	  {
	    index = 0;
	    while((c = readline[index++]) != '\n')
	      putc(c,stdout);
	    putc('\n',stdout);
	  }
      }
      else 
	{
	  index = 0;
	  while((c = readline[index++]) != '\n')
	    putc(c,stdout);
	  putc('\n',stdout);
	}
    }

 return;
}
