#
# The Mops, a free 3D Tcl/Tk/OpenGL/RenderMan modeler
#
# The Mops is copyrighted (C) 1998-1999 by Randolf Schultz
# (rschultz@informatik.uni-rostock.de)
#
# See the file License for details.
#

# Tcl code for the Mfio (3DMF) Import/Export plugin

proc mfio_exportp { } {

    set types {{"3D-Metafiles" ".3dm"} {"All files" *}}
    set mfilename [tk_getSaveFile -filetypes $types -parent .\
	-title "Export to:"]
    if { $mfilename != "" } {
	mfio_export $mfilename	
    }

 return;
}

proc mfio_importp { } {

    set types {{"3D-Metafiles" ".3dm"} {"All files" *}}
    set mfilename [tk_getOpenFile -filetypes $types -parent .\
	-title "Import from:"]
    if { $mfilename != "" } {
	mfio_import $mfilename	
	updateMopsSelect
	redrawAllViews
    }

 return;
}

global prefs
$prefs(cm) add cascade -menu $prefs(cm).mfio -label 3DMF
set m [menu $prefs(cm).mfio]
$m add command -label "Export Scene" -command mfio_exportp
$m add command -label "Import Scene" -command mfio_importp


