/*
 * Mops, a 3D Tcl/Tk/OpenGL/RenderMan modeller
 *
 * Mops is copyrighted (C) 1998 by Randolf Schultz
 * (rschultz@informatik.uni-rostock.de)
 *
 * See the file License for details.
 *
 */

/* convert.c */
/* Convert pre 0.42a4 scene-files */
/* Compile: cc -o convert convert.c */
/* Usage: ./convert < oldfile > newfile */
#include <stdio.h>
void
main(int argc, char **argv)
{
  char readline[1024] = {0}; /* Oink? */
  int c;
  int index = 0;

  while(!feof(stdin))
    {
      index = 0;
      while((c = getc(stdin)) != '\n')
	{
	  if(c == EOF)
	    return;
	  readline[index++] = (char)c;
	}
      readline[index] = '\n';
      readline[index+1] = '\0';
      if(readline[0] == '\0')
      {
	readline[0] = '\a';
      }
      index = 0;
      while((c = readline[index++]) != '\n')
	putc(c,stdout);
      putc('\n',stdout);
	
    }

 return;
}
